//+------------------------------------------------------------------+
//|                                              Paul Hampton-Smith  |
//|                                              paul1000@pobox.com  |
/*+------------------------------------------------------------------+

Applies to Metatrader 4 build 225

This test script shows that StringConcatenate truncates decimals in a double 
value to a maximum of 4.

*/

#property show_inputs

extern double Test_Double_5_Decimals = 1.12345;

void start()
{
	string strTestStringConcatenate = StringConcatenate(Test_Double_5_Decimals,"|");
	string strTestDoubleToStr = DoubleToStr(Test_Double_5_Decimals,5);
	
	Comment("\n","Test_Double_5_Decimals processed with StringConcatenate = ",strTestStringConcatenate,"\n",
					 "Test_Double_5_Decimals with DoubleToStr set to 5 digits = ",strTestDoubleToStr);
}

